# SIPMessageHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPMessageHandler:

List of all members.

## Public Member Functions

| SIPMessageHandler (SIPEndPoint &ep, const PString &to, const PString &body)
| ~SIPMessageHandler ()
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual SIP_PDU::Methods | GetMethod ()
virtual void | OnFailed (SIP_PDU::StatusCodes)
virtual void | SetBody (const PString &b)

## Constructor & Destructor Documentation

SIPMessageHandler::SIPMessageHandler | ( | SIPEndPoint & | ep,
|  | const PString & | to,
|  | const PString & | body |
| ) |  |  |

SIPMessageHandler::~SIPMessageHandler | ( |  | ) |

## Member Function Documentation

virtual SIPTransaction* SIPMessageHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Implements SIPHandler.

virtual SIP_PDU::Methods SIPMessageHandler::GetMethod | ( |  | ) | `[inline, virtual]`

Implements SIPHandler.

virtual void SIPMessageHandler::OnFailed | ( | SIP_PDU::StatusCodes |  | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual void SIPMessageHandler::SetBody | ( | const PString & | b | ) | `[virtual]`

Reimplemented from SIPHandler.

The documentation for this class was generated from the following file:

- handlers.h